Name: 		psa-kronolith
Version:	2.1.8
Release:	1.art
Summary:	The Horde calendar application

Source0:	ftp://ftp.horde.org/pub/kronolith/kronolith-h3-%{version}.tar.gz
Source1:	conf.php
Group:		Applications/Internet
License:	GPLv2
URL:		http://www.horde.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	gettext
Requires:	php >= 4.3.0
Requires:	psa-horde >= 3

%description
Kronolith is the Horde calendar application.  It provides repeating
events, all-day events, custom fields, keywords, and managing multiple
users through Horde Authentication.  The calendar API that Kronolith
uses is abstracted; MCAL and SQL drivers are currently provided.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Kronolith)
please visit http://www.horde.org/.

#READ %{_docdir}/%{name}-%{version}/README.Fedora AFTER INSTALLING FOR
#MORE INSTRUCTIONS!

%prep
%setup -q -n kronolith-h3-%{version}

# Replace #!/usr/local/bin/php with #!/usr/bin/php
for d in scripts/*.php scripts/crond; do
	perl -i -pe 's|^#!/usr/local/bin/php|#!/usr/bin/php|' "$d"
done

#cat <<_EOF_ >README.Fedora
#If you have enabled Horde's DB Preferences driver and with to use it to store
#kronolith data as well, you must create the appropriate tables manually.  To do
#do, execute the SQL in:
#
#%{_datadir}/horde/%{name}/scripts/sql/%{name}.<dbtype>.sql
#
#where <dbtype> is the type of DB backend you are using.
#_EOF_


%build


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/psa-horde/kronolith
# Copy eveything... except config and docs
cp -a * %{buildroot}%{_datadir}/psa-horde/kronolith
rm -rf %{buildroot}%{_datadir}/psa-horde/kronolith/config/
rm -rf %{buildroot}%{_datadir}/psa-horde/kronolith/docs/
rm %{buildroot}%{_datadir}/psa-horde/kronolith/COPYING
rm %{buildroot}%{_datadir}/psa-horde/kronolith/README*

# Copy locale *.mo files into /usr/share/locale
for lang in %{buildroot}%{_datadir}/psa-horde/kronolith/locale/*; do
	mkdir -p %{buildroot}%{_datadir}/locale/`basename $lang`/LC_MESSAGES
	if [ -f $lang/LC_MESSAGES/*.mo ]; then
		for file in $lang/LC_MESSAGES/*.mo; do
			cp -a $file %{buildroot}%{_datadir}/locale/`basename $lang`/LC_MESSAGES/
		done
	fi
done
#
%find_lang kronolith

# Put our config files in /etc/horde/kronolith and make symlinks
install -m 0770 -d %{buildroot}%{_sysconfdir}/psa-horde/kronolith
cp -a config/* %{buildroot}%{_sysconfdir}/psa-horde/kronolith
ln -fs ../../../..%{_sysconfdir}/psa-horde/kronolith %{buildroot}%{_datadir}/psa-horde/kronolith/config

# Create default config files
pushd %{buildroot}%{_sysconfdir}/psa-horde/kronolith
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

rm -f %{buildroot}%{_sysconfdir}/psa-horde/kronolith/*dist

install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/psa-horde/kronolith/conf.php
popd

%clean
rm -rf %{buildroot}

#%files -f %{name}.lang
%files -f kronolith.lang
%defattr(-,root,root,-)
# Include top level with %dir so not all files are sucked in
%{_datadir}/psa-horde/kronolith

# Mark documentation files with %doc and %docdir
%doc docs/
%doc COPYING
%doc README
#%doc README.Fedora

# Mark configuration files with %config and use secure permissions
# (note that .dist and .xml files are not user-edited and may change each
#	release, so we don't mark noreplace)
%attr(0666,root,root) %config %dir %{_sysconfdir}/psa-horde/kronolith
#%attr(0666,root,root) %config %{_sysconfdir}/psa-horde/kronolith/*.dist
%attr(0666,root,root) %config(noreplace) %{_sysconfdir}/psa-horde/kronolith/*.php
%attr(0660,root,root) %config %{_sysconfdir}/psa-horde/kronolith/*.xml

%changelog
* Thu May 22 2008 Scott R. Shinn <scott@atomicrocketturtle.cm> 2.1.8-1
- Update to 2.1.8
- Built to integrate with plesk

* Mon Jan 14 2008 Brandon Holbrook <fedora at theholbrooks.org> 2.1.7-1
- Upgraded to 2.1.7

* Sat Oct 20 2007 Brandon Holbrook <fedora at theholbrooks.org> 2.1.6-1
- Upgraded to 2.1.6

* Sat Mar 17 2007 Brandon Holbrook <fedora at theholbrooks.org> 2.1.5-1
- Upgraded to upstream 2.1.5

* Sat Dec 30 2006 Brandon Holbrook <fedora at theholbrooks.org> 2.1.4-2
- Created README.Fedora with some SQL instructions

* Thu Dec 28 2006 Brandon Holbrook <fedora at theholbrooks.org> 2.1.4-1
- Completely reworked for Fedora
- config files moved to /etc/horde/kronolith
- use find_lang to pull in translations
- upgraded to upsream version 2.1.4

* Tue Nov 14 2006 Johnny Hughes <johnny@cetnos.org> 2.1.3.c4
- upgraded to upsream version 2.1.3

* Wed Aug 16 2006 Johnny Hughes <johnny@cetnos.org> 2.1.2.c4
- rolled in upstream update 2.1.2
- changed all config files from %config to %config(noreplace)

* Fri Apr 28 2006 Johnny Hughes <johnny@centos.org> 2.1.1.c4
- Rolled in upstream changes to 2.1.1

* Tue Apr 11 2006 Johnny Hughes <johnny@centos.org> 2.1.c4
- Rolled in upstream release to 2.1

* Mon Dec 12 2005 Johnny Hughes <johnny@centos.org> 2.0.6-1.centos4
- Rolled in upstream release to 2.0.6
- See this link: http://marc.theaimsgroup.com/?l=horde-announce&m=113433037303192&w=2

* Tue Nov 29 2005 Johnny Hughes <johnny@centos.org> 2.0.5-1.centos4
- Rolled in upstream release to 2.0.5

* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> 2.0.4-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)

* Wed Jun 15 2005 Greg Swallow <gregswallow@skynetonline.ca>
- [2.0.3-1sme02]
- revamped for kronolith-h3-2.0.3 on SME7

* Tue Apr  8 2004 Douglas Musty <d.musty@acsalaska.net>
- [1.1.2-1es]
- Rebuilt with Kronolith 1.1.2

* Tue Mar 23 2004 Douglas Musty <d.musty@acsalaska.net>
- [1.1.1-1es]
- Rebuilt with Kronolith 1.1.1
- Patch SQL schema to USE horde database
- Change horde requirement to version 2.2 or greater
- Change apache requirement to version 1.3.27 or greater
- Change php requirement to version 4.1.2 or greater

* Tue Jul  1 2003 Dan Brown <dan@familybrown.org>
- [1.1-1es]
- Rebuilt with Kronolith 1.1

* Sun Apr  6 2003 Dan Brown <dan@familybrown.org>
- [1.0-1es]
- Modified variables for compatibility with Mitel SME Server
- Patched SQL schema to CREATE TABLE IF NOT EXISTS

* Mon Jun 24 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 2

* Thu Jun 13 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1 (private beta)

* Sun Dec 16 2001 Brent J. Nordquist <bjn@horde.org>
- initial RPM for Kronolith 0.0.3
